classification
Title: python3 & json: add ensure_ascii documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: docs@python, eric.araujo, ezio.melotti, python-dev, socketpair
Priority: normal Keywords:

Created on 2012-01-11 16:42 by socketpair, last changed 2012-02-26 02:47 by eric.araujo. This issue is now closed.

Messages (7)
msg151067 - (view) Author: Марк Коренберг (socketpair) * Date: 2012-01-11 16:42
Please fix documentation about ensure_ascii. Does it have any meaning in python3?
msg151219 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-14 03:56
Most probably.  The text model of Python has no bearing on the JSON spec, and 2.x as well as 3.x Pythons may want to output UTF-8 JSON or JavaScript-escaped ASCII-only JSON.  What specific wording is an issue?
msg151258 - (view) Author: Марк Коренберг (socketpair) * Date: 2012-01-14 16:41
ensure_ascii is documented only in Jsonencoder class. Other functions like dumps() should refer to this class description for that parameter.
msg151272 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-15 00:41
All right.  I’ll do like other parameters (see check_circular for an example) and just duplicate the two-line doc.
msg152515 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-03 14:15
FTR I’ve fixed this and now need to find a place with SSH access so I can push.
msg152684 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-02-05 12:50
New changeset 33d6da1b1c71 by Éric Araujo in branch '3.2':
Document json.dump ensure_ascii parameter (#13770)
http://hg.python.org/cpython/rev/33d6da1b1c71

New changeset 1cb9b8126534 by Éric Araujo in branch 'default':
Merge edits from 3.2 (#13716, #1040439, #2945, #13770, #6715)
http://hg.python.org/cpython/rev/1cb9b8126534
msg154295 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-26 02:47
json in 2.7 works a bit differently; ensure_ascii is already documented there.  Closing, please reopen if the new doc is not to your satisfaction.
History
Date User Action Args
2012-02-26 02:47:39eric.araujosetstatus: open -> closed
versions: - Python 2.7
messages: + msg154295

resolution: fixed
stage: resolved
2012-02-05 12:50:11python-devsetnosy: + python-dev
messages: + msg152684
2012-02-03 14:15:39eric.araujosetmessages: + msg152515
2012-01-15 00:41:47eric.araujosetassignee: docs@python -> eric.araujo
messages: + msg151272
versions: + Python 2.7
2012-01-14 16:41:05socketpairsetmessages: + msg151258
2012-01-14 04:13:41ezio.melottisetnosy: + ezio.melotti

versions: - Python 3.1
2012-01-14 03:56:24eric.araujosetnosy: + eric.araujo

messages: + msg151219
versions: - Python 3.4
2012-01-11 16:42:40socketpairsettype: enhancement
2012-01-11 16:42:10socketpaircreate